#' New York City Fever example-- geography
#' 
#' A data set from New York City.  The variables are as follows:
#' 
#' \itemize{
#'   \item zip:     The US Postal Service ZIP code
#'   \item lat:     Decimal latitude north
#'   \item long:    Decimal longitude
#'   }
#'   
#' @format A data frame with 192 observations and 3 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NYCfevergeo
NULL

#' New York City Fever example-- cases
#' 
#' A data set from New York City.  The variables are as follows:
#' 
#' \itemize{
#'   \item zip:     The US Postal Service ZIP code
#'   \item cases:   The number of cases observed
#'   \item long:    The date on which the cases were observed in that ZIP code
#'   }
#'   
#' @format A data frame with 194 observations and 3 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NYCfevercas
NULL

#' New Mexico Brain Cancer example-- cases
#' 
#' A data set from New Mexico.  The variables are as follows:
#' 
#' \itemize{
#'   \item county:     County name
#'   \item cases:     Number of cases
#'   \item year:     Year of case
#'   \item agegroup:     Age group of case
#'   \item sex:      Sex of case
#'   }
#'   
#' @format A data frame with 1175 observations and 5 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NMcas
NULL

#' New Mexico Brain Cancer example-- population
#' 
#' A data set from New Mexico.  The variables are as follows:
#' 
#' \itemize{
#'   \item county:     County name
#'   \item year:     year
#'   \item year:     population 
#'   \item agegroup:     Age group 
#'   \item sex:      Sex 
#'   }
#'   
#' @format A data frame with 3456 observations and 5 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NMpop
NULL

#' New Mexico Brain Cancer example-- geography
#' 
#' A data set from New Mexico.  The variables are as follows:
#' 
#' \itemize{
#'   \item county:     The US Postal Service ZIP code
#'   \item cases:   The number of cases observed
#'   \item long:    The date on which the cases were observed in that ZIP code
#'   }
#'   
#' @format A data frame with 194 observations and 3 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NMgeo
NULL

#' North Humberside leukemian and lymphoma example-- geography
#' 
#' A data set from North Humberside.  The variables are as follows:
#' 
#' \itemize{
#'   \item locationid:     Postal code ID
#'   \item x-coordinate:     x-coordinate
#'   \item y-coordinate:     y-coordinate
#'   }
#'   
#' @format A data frame with 191 observations and 3 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NHumbersidegeo
NULL

#' North Humberside leukemian and lymphoma example-- cases
#' 
#' A data set from North Humberside.  The variables are as follows:
#' 
#' \itemize{
#'   \item locationid:     Postal code ID
##'   \item numcases:        The number of cases observed
#'   }
#'   
#' @format A data frame with 191 observations and 2 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NHumbersidecas
NULL


#' North Humberside leukemian and lymphoma example-- controls
#' 
#' A data set from North Humberside.  The variables are as follows:
#' 
#' \itemize{
#'   \item locationid:     Postal code ID
##'   \item numcontrols:        The number of controls observed
#'   }
#'   
#' @format A data frame with 191 observations and 2 variables
#' @source Distributed with SaTScan software: \url{https://www.satscan.org}
#' @name NHumbersidectl
NULL
